invalid operation dist

Asked by jhcoles on 2007-02-09

While attempting to download latest security updates I receive the instruction to run "sudo apt-get dist upgrade" in terminal mode. After doing this the following line appears in the terminal window "E: invalid operation dist".
What do I do now!!!
I have Dapper Drake.
Regards - John Coles

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu gnome-terminal Edit question
Assignee:
No assignee Edit question
Solved by:
Ralph Janke
Solved:
Last query:
Last reply:
Revision history for this message
Best Ralph Janke (txwikinger) said :
#1

The instruction should read

sudo apt-get dist-upgrade

You are missing a dash in between 'dist' and 'upgrade'

Revision history for this message
jhcoles (jhcoles) said :
#2

Many thanks - I'm very grateful. Prior to using the correct instruction line you supplied I went back to attempting to download the updates and again received the "incorrect" instruction line (without the dash). I therefore assume the "incorrect" line is being generated by my existing ubuntu installation.